| OpenMS 2.5.0

EICExtractor

Extracts EICs from an MS experiment, in order to quantify analytes at a given position

pot. predecessor tools | EICExtractor | pot. successor tools
FileConverter | statistical tools, e.g., Excel, R, ...

Use this instead of FeatureFinder, if you have bad features which are not recognized (much noise etc) or if you want to quantify non-peptides.

The input EDTA file specifies where to search for signal in RT and m/z. Retention time is in seconds [s]. A third intensity column is ignored but needs to be present.

Example (replace space separator with <TAB>):

RT m/z int
19.2 431.85 0
21.1 678.77 0
25.7 660.76 0
59.2 431.85 0

RT positions can also be automatically generated using the 'auto-RT' functionality, which can be enabled by the flag 'auto_rt:enabled'. All EDTA input lines with negative RT and some m/z values are replaced by 'n' other lines, where the m/z value is identical and the RT column is replaced by of the 'n' RT estimates as discovered by the auto-RT functionality. This allows you to specify only the expected m/z positions and let the auto-RT function handle the RT positions. Info: auto-RT positions are only generated once from the FIRST mzML input file. All other mzML input files are expected to have similar RT positions! To debug auto-RT, you can specify an mzML output file (see 'auto_rt:out_debug_TIC' option) which will contain four single spectra which represent: 1. the TIC (of the first mzML input file) 2. the smoothed version of #1 3. the signal/noise (S/N) ratio of #2 4. the centroided version of #2 (not #3!) Since you can specify the smoothing aggressiveness using 'auto_rt:FHWM' and the minimum S/N theshold for centroided using 'auto_rt:SNThreshold', this should give you all information needed to set the best parameters which fit your data. Sensible default thresholds have been chosen though, such that adaption should only be required in extreme cases.

The intensity reported is the MAXIMUM intensity of all peaks each within the given tolerances for this row's position.

As output, one file in text format is given. It contains the actual RT and m/z positions of the data, as well as RT delta (in [s]) and m/z delta (in ppm) from the expected position as specified in the EDTA file or as found by the auto-RT feature.

      RT	  - expected RT position (in [s])
      mz    - expected m/z position
      RTobs - RT position (in [s]) of the quantified entity
      dRT	  - RT delta (in [s]) to the input RT value (as specified in input file or as computed by the auto-rt heuristic)
      mzobs - m/z position of the quantified entity
      dppm  - m/z delta (in parts-per-million) to the input m/z value (as specified in input file) intensity quantification (height of centroided peak); this is an average over multiple scans, thus does usually not correspond to the maximum peak ppm
      intensity

Each input experiment gives rise to the two RT and mz columns plus additional five columns (starting from RTobs) for each input file.

The command line parameters of this tool are:

    EICExtractor -- Extracts intensities from dedicates positions in a LC/MS map

    Full documentation: http://www.openms.de/documentation/TOPP_EICExtractor.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      EICExtractor <options>

    Options (mandatory options marked with '*'):

      -in <file>*        Input raw data file (valid formats: 'mzML')

      -in_header <file>  [for Waters data only] Read additional information from _HEADER.TXT. Provide one for

                         each raw input file. (valid formats: 'txt')

      -pos <file>*       Input config file stating where to find signal (valid formats: 'edta')

      -rt_tol            RT tolerance in [s] for finding max peak (whole RT range around RT middle) (default:

                         '3.0')

      -mz_tol            M/z tolerance in [ppm] for finding a peak (default: '10.0')

      -rt_collect        # of scans up & down in RT from highest point for ppm estimation in result (default:

                         '1')

    Parameters for automatic detection of injection RT peaks (no need to specify them in 'pos' input file):

      -auto_rt:enabled   Automatically detect injection peaks from TIC and quantify all m/z x RT combinations.

      -out <file>*       Output quantitation file (multiple columns for each input compound) (valid formats: 'csv

                         ')

    Common TOPP options:

      -ini <file>        Use the given TOPP INI file

      -threads <n>       Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>  Writes the default configuration file

      --help             Shows options

      --helphelp         Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+EICExtractor Extracts intensities from dedicates positions in a LC/MS map
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'EICExtractor'
in[] Input raw data file input file*.mzML
in_header[] [for Waters data only] Read additional information from _HEADER.TXT. Provide one for each raw input file.input file*.txt
pos Input config file stating where to find signal input file*.edta
rt_tol 3.0 RT tolerance in [s] for finding max peak (whole RT range around RT middle)
mz_tol 10.0 m/z tolerance in [ppm] for finding a peak
rt_collect 1 # of scans up & down in RT from highest point for ppm estimation in result
out_separator, Separator character for output CSV file.
out Output quantitation file (multiple columns for each input compound)output file*.csv
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false
+++auto_rt Parameters for automatic detection of injection RT peaks (no need to specify them in 'pos' input file)
enabled false Automatically detect injection peaks from TIC and quantify all m/z x RT combinations.true,false
FHWM 5.0 Expected full width at half-maximum of each raw RT peak in [s]. Gaussian smoothing filter with this width is applied to TIC.
SNThreshold 5.0 S/N threshold for a smoothed raw peak to pass peak picking. Higher thesholds will result in less peaks.
out_debug_TIC Optional output file (for first input) containing the smoothed TIC, S/N levels and picked RT positions output file*.mzML